blob: e320a24ef31ec8d880f0cfdea2f3d8bf475ae447 [file] [log] [blame]
Tom Rini1a62a722019-06-19 09:25:17 -04001# SPDX-License-Identifier: GPL-2.0+
2
Joel Stanleycb735172022-08-23 16:18:26 +10003# Grab our configured image. The source for this is found
4# in the u-boot tree at tools/docker/Dockerfile
Pali Rohárce0f7452023-02-21 11:22:29 -05005image: trini/u-boot-gitlab-ci-runner:jammy-20230126-17Feb2023
Tom Rini1a62a722019-06-19 09:25:17 -04006
7# We run some tests in different order, to catch some failures quicker.
8stages:
Tom Rini1a62a722019-06-19 09:25:17 -04009 - testsuites
Tom Rinib29cb052019-07-24 13:09:31 -040010 - test.py
Tom Rini1a62a722019-06-19 09:25:17 -040011 - world build
12
13.buildman_and_testpy_template: &buildman_and_testpy_dfn
Tom Rini1a62a722019-06-19 09:25:17 -040014 stage: test.py
15 before_script:
16 # Clone uboot-test-hooks
Tom Rinibd181a22022-11-21 12:52:40 -050017 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Tom Rini85ae52b2021-02-24 17:05:04 -050018 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
Tom Rini1a62a722019-06-19 09:25:17 -040019 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
20 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
Tom Rini28a51232019-10-04 12:12:54 -040021 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
22 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
Bin Meng49fb28a2020-03-28 07:25:29 -070023 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
Heinrich Schuchardtb6b35fd2021-04-02 11:42:01 +020024 wget -O - https://github.com/riscv/opensbi/releases/download/v0.9/opensbi-0.9-rv-bin.tar.xz | tar -C /tmp -xJ;
25 export OPENSBI=/tmp/opensbi-0.9-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
Bin Meng49fb28a2020-03-28 07:25:29 -070026 fi
Bin Meng0e60b3a2021-08-26 23:33:35 +080027 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
Heinrich Schuchardtb6b35fd2021-04-02 11:42:01 +020028 wget -O - https://github.com/riscv/opensbi/releases/download/v0.9/opensbi-0.9-rv-bin.tar.xz | tar -C /tmp -xJ;
29 export OPENSBI=/tmp/opensbi-0.9-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
Bin Meng49fb28a2020-03-28 07:25:29 -070030 fi
Tom Rinib29cb052019-07-24 13:09:31 -040031
Tom Rini1a62a722019-06-19 09:25:17 -040032 after_script:
Heinrich Schuchardt24df1b12019-12-19 13:30:32 +010033 - rm -rf /tmp/uboot-test-hooks /tmp/venv
Tom Rini1a62a722019-06-19 09:25:17 -040034 script:
Simon Glassdd5c9542020-03-18 09:42:57 -060035 # If we've been asked to use clang only do one configuration.
Simon Glass4e32fed2020-03-18 09:42:55 -060036 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
Simon Glass1aa168c2022-08-03 12:13:09 -060037 - echo BUILD_ENV ${BUILD_ENV}
Simon Glass9cea4792023-01-15 14:16:00 -070038 - if [ -n "${BUILD_ENV}" ]; then
39 export ${BUILD_ENV};
40 fi
Simon Glass7ec12552020-03-18 09:43:00 -060041 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
42 --board ${TEST_PY_BD} ${OVERRIDE}
Heinrich Schuchardt82560ae2020-07-14 00:23:58 +020043 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
44 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
45 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
Heinrich Schuchardt82560ae2020-07-14 00:23:58 +020046 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
47 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
Bin Meng0e60b3a2021-08-26 23:33:35 +080048 # create sdcard / spi-nor images for sifive unleashed using genimage
49 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
50 mkdir -p root;
51 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
52 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
53 rm -rf tmp;
54 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
55 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
56 rm -rf tmp;
57 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
58 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
59 fi
Simon Glassbfb2a7f2022-01-21 10:23:01 -070060 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
61 wget -O -
62 "https://drive.google.com/uc?id=1x6nrtWIyIRPLS2cQBwYTnT2TbOI8UjmM&export=download" |
63 xz -dc >${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
64 wget -O -
65 "https://drive.google.com/uc?id=149Cz-5SZXHNKpi9xg6R_5XITWohu348y&export=download" >
66 cbfstool;
67 chmod a+x cbfstool;
68 ./cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
69 fi
Tom Rini085b8972019-10-24 11:59:27 -040070 - virtualenv -p /usr/bin/python3 /tmp/venv
71 - . /tmp/venv/bin/activate
72 - pip install -r test/py/requirements.txt
Simon Glass4080d092020-03-18 09:42:56 -060073 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
Simon Glass4e32fed2020-03-18 09:42:55 -060074 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
Tom Rini1a62a722019-06-19 09:25:17 -040075 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
Heinrich Schuchardtf3092472020-07-10 22:04:40 +020076 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
Simon Glass4080d092020-03-18 09:42:56 -060077 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
Simon Glasscec1e852020-03-18 09:42:59 -060078 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
Simon Glassbfb2a7f2022-01-21 10:23:01 -070079 # It seems that the files in /tmp go away, so copy out what we need
80 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
81 cp -v /tmp/coreboot/*.{html,css} .;
82 fi
Tom Rini1a62a722019-06-19 09:25:17 -040083
Heinrich Schuchardta11cb572019-10-06 12:26:16 +020084build all 32bit ARM platforms:
Tom Rini1a62a722019-06-19 09:25:17 -040085 stage: world build
86 script:
87 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -050088 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7713ad2022-11-09 19:14:53 -070089 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -060090 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -060091 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -040092 exit $ret;
93 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -040094
Heinrich Schuchardta11cb572019-10-06 12:26:16 +020095build all 64bit ARM platforms:
Tom Rini9f7bda12019-07-17 17:51:28 -040096 stage: world build
97 script:
Tom Rini26a426a2020-02-11 12:41:14 -050098 - virtualenv -p /usr/bin/python3 /tmp/venv
Tom Rinif0db8392019-07-18 07:28:36 -040099 - . /tmp/venv/bin/activate
Tom Rini9f7bda12019-07-17 17:51:28 -0400100 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500101 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7713ad2022-11-09 19:14:53 -0700102 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600103 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600104 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400105 exit $ret;
106 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400107
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200108build all PowerPC platforms:
Tom Rini9f7bda12019-07-17 17:51:28 -0400109 stage: world build
110 script:
111 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500112 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Simon Glassdd5c9542020-03-18 09:42:57 -0600113 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
114 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600115 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400116 exit $ret;
117 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400118
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200119build all other platforms:
Tom Rini9f7bda12019-07-17 17:51:28 -0400120 stage: world build
121 script:
122 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500123 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7713ad2022-11-09 19:14:53 -0700124 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600125 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600126 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400127 exit $ret;
128 fi;
Tom Rini1a62a722019-06-19 09:25:17 -0400129
Tom Rinibb9b9c12022-12-04 10:14:15 -0500130check for new CONFIG symbols outside Kconfig:
Tom Rinic1a7de52021-12-14 13:36:41 -0500131 stage: testsuites
132 script:
Tom Rinibb9b9c12022-12-04 10:14:15 -0500133 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
134 # If grep succeeds and finds a match the test fails as we should
135 # have no matches.
136 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
Tom Rinia03efb62023-01-10 11:19:46 -0500137 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
138 :^include/linux/kconfig.h :^tools/ && exit 1 || exit 0
Tom Rinic1a7de52021-12-14 13:36:41 -0500139
Tom Rini1a62a722019-06-19 09:25:17 -0400140# QA jobs for code analytics
141# static code analysis with cppcheck (we can add --enable=all later)
142cppcheck:
Tom Rini1a62a722019-06-19 09:25:17 -0400143 stage: testsuites
144 script:
Simon Glass4ee7f522020-04-05 14:35:43 -0600145 - cppcheck -j$(nproc) --force --quiet --inline-suppr .
Tom Rini1a62a722019-06-19 09:25:17 -0400146
147# search for TODO within source tree
148grep TODO/FIXME/HACK:
Tom Rini1a62a722019-06-19 09:25:17 -0400149 stage: testsuites
150 script:
151 - grep -r TODO .
152 - grep -r FIXME .
153 # search for HACK within source tree and ignore HACKKIT board
154 - grep -r HACK . | grep -v HACKKIT
155
Heinrich Schuchardte9cc7022023-01-12 20:30:58 +0100156# build documentation
157docs:
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100158 stage: testsuites
159 script:
Heinrich Schuchardt836049d2021-01-25 22:06:25 +0100160 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
161 - . /tmp/venvhtml/bin/activate
162 - pip install -r doc/sphinx/requirements.txt
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100163 - make htmldocs
Heinrich Schuchardte9cc7022023-01-12 20:30:58 +0100164 - make infodocs
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100165
Tom Rini1a62a722019-06-19 09:25:17 -0400166# some statistics about the code base
167sloccount:
Tom Rini1a62a722019-06-19 09:25:17 -0400168 stage: testsuites
169 script:
170 - sloccount .
171
172# ensure all configs have MAINTAINERS entries
173Check for configs without MAINTAINERS entry:
Tom Rini1a62a722019-06-19 09:25:17 -0400174 stage: testsuites
175 script:
Simon Glass7ae8a522022-07-11 19:04:09 -0600176 - ./tools/buildman/buildman -R
Tom Rini1a62a722019-06-19 09:25:17 -0400177
178# Ensure host tools build
179Build tools-only:
Tom Rini1a62a722019-06-19 09:25:17 -0400180 stage: testsuites
181 script:
182 - make tools-only_config tools-only -j$(nproc)
183
Pierre-Jean Texier1f3910d2019-08-26 13:06:18 +0200184# Ensure env tools build
185Build envtools:
Pierre-Jean Texier1f3910d2019-08-26 13:06:18 +0200186 stage: testsuites
187 script:
188 - make tools-only_config envtools -j$(nproc)
189
Tom Rini72618332020-03-11 18:11:15 -0400190Run binman, buildman, dtoc, Kconfig and patman testsuites:
Tom Rini1a62a722019-06-19 09:25:17 -0400191 stage: testsuites
192 script:
Tom Rinid7ae9322019-08-12 10:09:08 -0400193 - git config --global user.name "GitLab CI Runner";
194 git config --global user.email trini@konsulko.com;
Tom Rinib6d4e082022-08-09 21:08:54 -0400195 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7ae9322019-08-12 10:09:08 -0400196 export USER=gitlab;
Tom Rini26a426a2020-02-11 12:41:14 -0500197 virtualenv -p /usr/bin/python3 /tmp/venv;
Tom Rinid7ae9322019-08-12 10:09:08 -0400198 . /tmp/venv/bin/activate;
Tom Rini38229b52021-02-26 07:52:29 -0500199 pip install -r test/py/requirements.txt;
Simon Glassbf0a8132020-03-18 09:42:50 -0600200 export UBOOT_TRAVIS_BUILD_DIR=/tmp/sandbox_spl;
Tom Rinid7ae9322019-08-12 10:09:08 -0400201 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
202 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
Tom Rinib6d4e082022-08-09 21:08:54 -0400203 set +e;
Simon Glass6c914e42021-03-15 17:25:34 +1300204 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
205 --board sandbox_spl;
Tom Rinib6d4e082022-08-09 21:08:54 -0400206 set -e;
Tom Rinid7ae9322019-08-12 10:09:08 -0400207 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
208 ./tools/buildman/buildman -t;
209 ./tools/dtoc/dtoc -t;
Simon Glass6bb74de2020-07-05 21:41:55 -0600210 ./tools/patman/patman test;
Tom Rini72618332020-03-11 18:11:15 -0400211 make testconfig
Tom Rini1a62a722019-06-19 09:25:17 -0400212
Pali Rohár6cfd09d2020-05-17 14:38:22 +0200213Run tests for Nokia RX-51 (aka N900):
Pali Rohár6cfd09d2020-05-17 14:38:22 +0200214 stage: testsuites
215 script:
Pali Rohárce0f7452023-02-21 11:22:29 -0500216 - mkdir nokia_rx51_tmp;
217 ln -s /opt/nokia/u-boot-gen-combined nokia_rx51_tmp/;
218 ln -s /opt/nokia/qemu-n900.tar.gz nokia_rx51_tmp/;
219 ln -s /opt/nokia/kernel_2.6.28-20103103+0m5_armel.deb nokia_rx51_tmp/;
220 ln -s /opt/nokia/libc6_2.5.1-1eglibc27+0m5_armel.deb nokia_rx51_tmp/;
221 ln -s /opt/nokia/busybox_1.10.2.legal-1osso30+0m5_armel.deb nokia_rx51_tmp/;
222 ln -s /opt/nokia/qemu-system-arm nokia_rx51_tmp/;
223 export PATH=/opt/gcc-12.2.0-nolibc/arm-linux-gnueabi/bin:$PATH;
Pali Rohár6cfd09d2020-05-17 14:38:22 +0200224 test/nokia_rx51_test.sh
225
Simon Glass642e51a2022-02-11 13:23:26 -0700226# Check for any pylint regressions
227Run pylint:
228 stage: testsuites
229 script:
Tom Rinib6d4e082022-08-09 21:08:54 -0400230 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Simon Glass642e51a2022-02-11 13:23:26 -0700231 - pip install -r test/py/requirements.txt
Tom Rinie47bbf72022-03-25 08:19:09 -0400232 - pip install asteval pylint==2.12.2 pyopenssl
Simon Glass642e51a2022-02-11 13:23:26 -0700233 - export PATH=${PATH}:~/.local/bin
234 - echo "[MASTER]" >> .pylintrc
235 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
236 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/sandbox_spl
Tom Rinib6d4e082022-08-09 21:08:54 -0400237 - set +e
Simon Glass642e51a2022-02-11 13:23:26 -0700238 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
239 --board sandbox_spl
Tom Rinib6d4e082022-08-09 21:08:54 -0400240 - set -e
Simon Glass642e51a2022-02-11 13:23:26 -0700241 - pylint --version
242 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
243 - make pylint_err
244
Simon Glass441a3d02023-02-13 08:56:39 -0700245# Check for pre-schema driver model tags
246Check for pre-schema tags:
247 stage: testsuites
248 script:
249 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
250 # If grep succeeds and finds a match the test fails as we should
251 # have no matches.
252 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
253
Tom Rini1a62a722019-06-19 09:25:17 -0400254# Test sandbox with test.py
255sandbox test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400256 variables:
257 TEST_PY_BD: "sandbox"
Tom Rini1a62a722019-06-19 09:25:17 -0400258 <<: *buildman_and_testpy_dfn
259
Tom Rini0219d012019-11-06 19:30:47 -0500260sandbox with clang test.py:
Tom Rini0219d012019-11-06 19:30:47 -0500261 variables:
262 TEST_PY_BD: "sandbox"
Tom Rini09ed7e62022-11-22 12:31:58 -0500263 OVERRIDE: "-O clang-14"
Tom Rini0219d012019-11-06 19:30:47 -0500264 <<: *buildman_and_testpy_dfn
265
Simon Glass1aa168c2022-08-03 12:13:09 -0600266sandbox without LTO test.py:
267 variables:
268 TEST_PY_BD: "sandbox"
269 BUILD_ENV: "NO_LTO=1"
270 <<: *buildman_and_testpy_dfn
271
Tom Rini1a62a722019-06-19 09:25:17 -0400272sandbox_spl test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400273 variables:
274 TEST_PY_BD: "sandbox_spl"
Simon Glassafb26ba2020-10-25 20:38:36 -0600275 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
Tom Rini1a62a722019-06-19 09:25:17 -0400276 <<: *buildman_and_testpy_dfn
277
Simon Glass6c914e42021-03-15 17:25:34 +1300278sandbox_noinst_test.py:
Simon Glass6c914e42021-03-15 17:25:34 +1300279 variables:
280 TEST_PY_BD: "sandbox_noinst"
281 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
282 <<: *buildman_and_testpy_dfn
283
Simon Glassa31eff32022-04-30 00:56:57 -0600284sandbox_vpl test.py:
285 variables:
286 TEST_PY_BD: "sandbox_vpl"
287 TEST_PY_TEST_SPEC: "test_vpl_help or test_spl"
288 <<: *buildman_and_testpy_dfn
289
Simon Glass9cea4792023-01-15 14:16:00 -0700290# Enable tracing and disable LTO, to ensure functions are not elided
291sandbox trace_test.py:
292 variables:
293 TEST_PY_BD: "sandbox"
294 BUILD_ENV: "FTRACE=1 NO_LTO=1"
295 TEST_PY_TEST_SPEC: "trace"
296 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000"
297 <<: *buildman_and_testpy_dfn
298
Tom Rini699c0b92019-07-17 16:06:57 -0400299evb-ast2500 test.py:
Tom Rini699c0b92019-07-17 16:06:57 -0400300 variables:
301 TEST_PY_BD: "evb-ast2500"
302 TEST_PY_ID: "--id qemu"
Tom Rini699c0b92019-07-17 16:06:57 -0400303 <<: *buildman_and_testpy_dfn
304
Joel Stanleyb24087a2022-06-29 16:35:25 +0930305evb-ast2600 test.py:
306 variables:
307 TEST_PY_BD: "evb-ast2600"
308 TEST_PY_ID: "--id qemu"
309 <<: *buildman_and_testpy_dfn
310
Tom Rini1a62a722019-06-19 09:25:17 -0400311sandbox_flattree test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400312 variables:
313 TEST_PY_BD: "sandbox_flattree"
Tom Rini1a62a722019-06-19 09:25:17 -0400314 <<: *buildman_and_testpy_dfn
315
Kristian Amlie15e30102021-09-07 08:37:51 +0200316vexpress_ca9x4 test.py:
317 variables:
318 TEST_PY_BD: "vexpress_ca9x4"
319 TEST_PY_ID: "--id qemu"
320 <<: *buildman_and_testpy_dfn
321
Tom Rini1a62a722019-06-19 09:25:17 -0400322integratorcp_cm926ejs test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400323 variables:
324 TEST_PY_BD: "integratorcp_cm926ejs"
325 TEST_PY_TEST_SPEC: "not sleep"
326 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400327 <<: *buildman_and_testpy_dfn
328
329qemu_arm test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400330 variables:
331 TEST_PY_BD: "qemu_arm"
332 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400333 <<: *buildman_and_testpy_dfn
334
335qemu_arm64 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400336 variables:
337 TEST_PY_BD: "qemu_arm64"
338 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400339 <<: *buildman_and_testpy_dfn
340
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200341qemu_malta test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200342 variables:
343 TEST_PY_BD: "malta"
344 TEST_PY_TEST_SPEC: "not sleep and not efi"
345 TEST_PY_ID: "--id qemu"
346 <<: *buildman_and_testpy_dfn
347
348qemu_maltael test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200349 variables:
350 TEST_PY_BD: "maltael"
351 TEST_PY_TEST_SPEC: "not sleep and not efi"
352 TEST_PY_ID: "--id qemu"
353 <<: *buildman_and_testpy_dfn
354
355qemu_malta64 test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200356 variables:
357 TEST_PY_BD: "malta64"
358 TEST_PY_TEST_SPEC: "not sleep and not efi"
359 TEST_PY_ID: "--id qemu"
360 <<: *buildman_and_testpy_dfn
361
362qemu_malta64el test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200363 variables:
364 TEST_PY_BD: "malta64el"
365 TEST_PY_TEST_SPEC: "not sleep and not efi"
366 TEST_PY_ID: "--id qemu"
367 <<: *buildman_and_testpy_dfn
368
Tom Rini1a62a722019-06-19 09:25:17 -0400369qemu-ppce500 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400370 variables:
371 TEST_PY_BD: "qemu-ppce500"
372 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400373 <<: *buildman_and_testpy_dfn
374
Bin Menga379d332020-03-28 07:25:27 -0700375qemu-riscv32 test.py:
Bin Menga379d332020-03-28 07:25:27 -0700376 variables:
377 TEST_PY_BD: "qemu-riscv32"
378 TEST_PY_TEST_SPEC: "not sleep"
Bin Menga379d332020-03-28 07:25:27 -0700379 <<: *buildman_and_testpy_dfn
380
Tom Rini7298d822019-08-02 11:32:37 -0400381qemu-riscv64 test.py:
Tom Rini7298d822019-08-02 11:32:37 -0400382 variables:
383 TEST_PY_BD: "qemu-riscv64"
384 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini7298d822019-08-02 11:32:37 -0400385 <<: *buildman_and_testpy_dfn
386
Bin Meng49fb28a2020-03-28 07:25:29 -0700387qemu-riscv32_spl test.py:
Bin Meng49fb28a2020-03-28 07:25:29 -0700388 variables:
389 TEST_PY_BD: "qemu-riscv32_spl"
390 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng49fb28a2020-03-28 07:25:29 -0700391 <<: *buildman_and_testpy_dfn
392
393qemu-riscv64_spl test.py:
Bin Meng49fb28a2020-03-28 07:25:29 -0700394 variables:
395 TEST_PY_BD: "qemu-riscv64_spl"
396 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng49fb28a2020-03-28 07:25:29 -0700397 <<: *buildman_and_testpy_dfn
398
Tom Rini1a62a722019-06-19 09:25:17 -0400399qemu-x86 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400400 variables:
401 TEST_PY_BD: "qemu-x86"
402 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400403 <<: *buildman_and_testpy_dfn
404
405qemu-x86_64 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400406 variables:
407 TEST_PY_BD: "qemu-x86_64"
408 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400409 <<: *buildman_and_testpy_dfn
410
Marek Vasut0e125752020-09-14 21:55:58 +0200411r2dplus_i82557c test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200412 variables:
413 TEST_PY_BD: "r2dplus"
414 TEST_PY_ID: "--id i82557c_qemu"
415 <<: *buildman_and_testpy_dfn
416
417r2dplus_pcnet test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200418 variables:
419 TEST_PY_BD: "r2dplus"
420 TEST_PY_ID: "--id pcnet_qemu"
421 <<: *buildman_and_testpy_dfn
422
423r2dplus_rtl8139 test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200424 variables:
425 TEST_PY_BD: "r2dplus"
426 TEST_PY_ID: "--id rtl8139_qemu"
427 <<: *buildman_and_testpy_dfn
428
429r2dplus_tulip test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200430 variables:
431 TEST_PY_BD: "r2dplus"
432 TEST_PY_ID: "--id tulip_qemu"
433 <<: *buildman_and_testpy_dfn
434
Bin Meng0e60b3a2021-08-26 23:33:35 +0800435sifive_unleashed_sdcard test.py:
436 variables:
437 TEST_PY_BD: "sifive_unleashed"
438 TEST_PY_ID: "--id sdcard_qemu"
439 <<: *buildman_and_testpy_dfn
440
441sifive_unleashed_spi-nor test.py:
442 variables:
443 TEST_PY_BD: "sifive_unleashed"
444 TEST_PY_ID: "--id spi-nor_qemu"
445 <<: *buildman_and_testpy_dfn
446
Michal Simekf7c6ee72020-02-13 15:03:29 +0100447xilinx_zynq_virt test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400448 variables:
Michal Simekf7c6ee72020-02-13 15:03:29 +0100449 TEST_PY_BD: "xilinx_zynq_virt"
Tom Rini1a62a722019-06-19 09:25:17 -0400450 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400451 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400452 <<: *buildman_and_testpy_dfn
453
454xilinx_versal_virt test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400455 variables:
456 TEST_PY_BD: "xilinx_versal_virt"
457 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400458 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400459 <<: *buildman_and_testpy_dfn
460
461xtfpga test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400462 variables:
463 TEST_PY_BD: "xtfpga"
464 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400465 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400466 <<: *buildman_and_testpy_dfn
Simon Glassbfb2a7f2022-01-21 10:23:01 -0700467
468coreboot test.py:
469 variables:
470 TEST_PY_BD: "coreboot"
471 TEST_PY_TEST_SPEC: "not sleep"
472 TEST_PY_ID: "--id qemu"
473 artifacts:
474 paths:
475 - "*.html"
476 - "*.css"
477 expire_in: 1 week
478 <<: *buildman_and_testpy_dfn